## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.mem0.ai/llms.txt)

Use this file to discover all available pages before exploring further.

# Python SDK Usage

```python
# To use the Python SDK, install the package:
# pip install mem0ai

from mem0 import MemoryClient

client = MemoryClient(api_key="your_api_key")

response = client.get_project()
print(response)
```

# JavaScript SDK Usage

```javascript
// To use the JavaScript SDK, install the package:
// npm i mem0ai

import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });

client.getProject()
  .then(response => console.log(response))
  .catch(err => console.error(err));
```

# cURL Command

```
curl --request GET \  
  --url https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/ \  
  --header 'Authorization: Token <api-key>'
```

# Go SDK Usage

```go
// To use the Go SDK, install the package:
// go get github.com/mem0ai/mem0-go

package main

import (
	"fmt"
	"github.com/mem0ai/mem0-go"
)

func main() {
	client := mem0.NewClient("your-api-key")

response, err := client.GetProject()
	if err != nil {
		fmt.Printf("Error: %v\n", err)
		return
	}
	fmt.Printf("%+v\n", response)
}
```

# PHP SDK Usage

```php
<?php
// To use the PHP SDK, install the package:
// composer require mem0ai/mem0-php

require_once('vendor/autoload.php');

use Mem0\MemoryClient;

$client = new MemoryClient('your-api-key');

try {
    $response = $client->getProject();
    print_r($response);
} catch (Exception $e) {
    echo 'Error: ' . $e->getMessage();
}
?>
```

# Java SDK Usage

```java
// To use the Java SDK, add this dependency to your pom.xml:
// <dependency>
//     <groupId>ai.mem0</groupId>
//     <artifactId>mem0-java</artifactId>
//     <version>1.0.0</version>
// </dependency>

import ai.mem0.MemoryClient;

public class Example {
    public static void main(String[] args) {
        MemoryClient client = new MemoryClient("your-api-key");

try {
            Object response = client.getProject();
            System.out.println(response);
        } catch (Exception e) {
            System.err.println("Error: " + e.getMessage());
        }
    }
}
```

# Ruby SDK Usage

```
require 'uri'
require 'net/http'

url = URI("https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

# Responses

### Success Responses

200

```
{
  "id": 123,
  "project_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "members": [\
    {\
      "username": "<string>",\
      "role": "<string>"\
    }\
  ]
}
```

### Error Response

404

```
{
  "message": "Organization or project not found"
}
```

# Authorization

Authorization

- **Type:** `string`
- **Location:** Header
- **Required:** Yes

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

# Path Parameters

- **org_id**: string (required)
  - Unique identifier of the organization.

- **project_id**: string (required)
  - Unique identifier of the project.

# Response Fields

- **id**: integer
  - Unique numeric identifier of the project.

- **project_id**: string
  - Unique string identifier of the project.

- **name**: string
  - Name of the project.

- **description**: string
  - Description of the project.

- **created_at**: string<date-time>
  - Timestamp of when the project was created.

- **updated_at**: string<date-time>
  - Timestamp of when the project was last updated.

- **members**: object[]
  - List of members belonging to the project.
